MPII(4)

NAME
mpii - LSI Logic Fusion-MPT Message Passing Interface II

SYNOPSIS
mpii* at pci?

DESCRIPTION
The mpii driver provides support for storage controllers using the LSI Logic Fusion-MPT Message Passing Interface II family of chipsets:

-   LSISAS2004, LSISAS2008, LSISAS2108, LSISAS2208, LSISAS2308, LSISAS3004, LSISAS3008, LSISAS3108, LSISAS3408, LSISAS3416, LSISAS3508, LSISAS3516

These chipsets can be found on the following controllers:

-   Dell PERC H200, HBA330, 12Gbps SAS HBA
-   IBM ServeRAID H1110
-   Lenovo N2215, ThinkSystem 430
-   LSI SAS 9200-8e, SAS 9207-8i, SAS 9211-4i, SAS 9211-8i
-   Broadcom SAS 9300, HBA 9400

Some models of these controllers carry an Integrated RAID (IR) firmware providing support for RAID 0, RAID 1, RAID10 or RAID5 using SAS or SATA drives. All RAID configuration is done through the controllers' BIOSes.

SEE ALSO
bio(4), intro(4), pci(4), scsi(4), bioctl(8), sensorsd(8), sysctl(8)

HISTORY
The mpii driver first appeared in OpenBSD 4.7.

AUTHORS
-nosplit The mpii driver was written by James Giannoules and Mike Belopuhov.

BUGS
The chips supported by mpii do not use a SCSI-like identifier. Instead they use an opaque ID and leave discovery order up to the operating system. The code to handle this is currently not implemented and therefore it is not a good idea to run this driver on a multi-boot machine.